Subject: bug#795: Artist: patch 1 (of 2): Cut/copy menu selection bugfix

From: Tomas Abrahamsson <[email-masked]>
Date: Wed, 27 Aug 2008 14:49:51 +0200

Hi,

        This is the first of two patches for
emacs/lisp/textmodes/artist.el.  The patches do not depend on
each other.  They fix different bugs, but they apply to the
same file.

The patch is against 1.40 of artist.el as checked out from
:pserver:[email-masked]:/sources/emacs

The patch is written entirely by me. Bug was found by me.
As far as I know, the bug has not been reported anywhere.

The bug that this patch fixes is: with the mouse, it was
impossible to select the copy and cut operations in the
menu.  This patch makes it possible to do that.

Below is a ChangeLog entry and the patch itself.  For the
ChangeLog entry, I looked at emacs/lisp/ChangeLog and tried to
follow the style therein. (I don't know what's the common
practice with the first line (date and name), though since
I assume it will be someone else but me who will check this
in.)

If anythning is unclear or needs more work, please contact me.

BRs
Tomas

The ChangeLog entry:

2008-08-27  Tomas Abrahamsson  <[email-masked]>

	* textmodes/artist.el (artist-mt): Fixed structures for cut and
	copy operations.

The patch:

Index: artist.el
===================================================================
RCS file: /sources/emacs/emacs/lisp/textmodes/artist.el,v
retrieving revision 1.40
diff -u -r1.40 artist.el
--- artist.el	12 Jun 2008 03:56:20 -0000	1.40
+++ artist.el	26 Aug 2008 23:34:05 -0000
@@ -723,14 +723,14 @@
 		 2
 		 artist-draw-rect
 		 (artist-undraw-rect
-		  artist-t artist-cut-rect)
+		  artist-t artist-cut-rect))
 		("cut square" cut-s "cut-s"
 		 artist-no-arrows nil
 		 nil nil nil
 		 2
 		 artist-draw-square
 		 (artist-undraw-square
-		  artist-t artist-cut-square))))))
+		  artist-t artist-cut-square)))))
 
        (graphics-operation
 	("Copy" (("copy rectangle" copy-r "copy-r"
@@ -739,14 +739,14 @@
 		  2
 		  artist-draw-rect
 		  (artist-undraw-rect
-		   artist-t artist-copy-rect)
+		   artist-t artist-copy-rect))
 		 ("copy square" copy-s "copy-s"
 		  artist-no-arrows nil
 		  nil nil nil
 		  2
 		  artist-draw-square
 		  (artist-undraw-square
-		   artist-t artist-copy-square))))))
+		   artist-t artist-copy-square)))))
 
        (graphics-operation
 	("Paste" (("paste" paste "paste"